## org.apache.commons.configuration.plist
Class XMLPropertyListConfiguration.ArrayNode

    java.lang.Object
      org.apache.commons.configuration.tree.DefaultConfigurationNode
          org.apache.commons.configuration.HierarchicalConfiguration.Node
              org.apache.commons.configuration.plist.XMLPropertyListConfiguration.PListNode
                  org.apache.commons.configuration.plist.XMLPropertyListConfiguration.ArrayNode

All Implemented Interfaces:
  Serializable, Cloneable, ConfigurationNode

Enclosing class:
  XMLPropertyListConfiguration

    public static class XMLPropertyListConfiguration.ArrayNode

extends XMLPropertyListConfiguration.PListNode

Container for array elements. Do not use this class ! It is used internally by XMLPropertyConfiguration to parse the configuration file, it may be removed at any moment in the future.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.configuration.tree.DefaultConfigurationNode
`DefaultConfigurationNode.SubNodes`

Constructor Summary
`XMLPropertyListConfiguration.ArrayNode()`

Method Summary
`void` `addValue(Object value)` Add an object to the array.
`Object` `getValue()` Return the list of values in the array.

Methods inherited from class org.apache.commons.configuration.plist.XMLPropertyListConfiguration.PListNode
`addDataValue, addDateValue, addFalseValue, addIntegerValue, addList, addRealValue, addTrueValue`

Methods inherited from class org.apache.commons.configuration.HierarchicalConfiguration.Node
`addChild, getParent, hasChildren, remove, remove, setParent, visit`

Methods inherited from class org.apache.commons.configuration.tree.DefaultConfigurationNode

`addAttribute, addChild, checkState, clone, createSubNodes, getAttribute, getAttributeCount, getAttributeCount, getAttributes, getAttributes, getChild, getChildren, getChildren, getChildrenCount, getChildrenCount, getName, getParentNode, getReference, isAttribute, isDefined, removeAttribute, removeAttribute, removeAttributes, removeChild, removeChild, removeChildren, removeReference, setAttribute, setName, setParentNode, setReference, setValue, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPropertyListConfiguration.ArrayNode

    public XMLPropertyListConfiguration.ArrayNode()

Method Detail

### addValue

    public void addValue(Object value)

  Add an object to the array.

  Overrides:
    `addValue` in class `XMLPropertyListConfiguration.PListNode`
  Parameters:
    `value` - the value to be added

### getValue

    public Object getValue()

  Return the list of values in the array.

  Specified by:
    `getValue` in interface `ConfigurationNode`
  Overrides:
    `getValue` in class `DefaultConfigurationNode`
  Returns:
    the `List` of values

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.